Subject: Re: [PATCH] [RFC][POWERPC] Merge 32 and 64 bit pci_process_bridge_OF_ranges() instances

From: Vitaly Bordug <[email-masked]>
Date: Wed, 19 Sep 2007 04:09:40 +0400

Hello Valentine,

On Tue, 18 Sep 2007 18:38:56 +0400
Valentine Barshak wrote:

> Well, thanks for the invitation :)
> I've been trying to work on the pci support here too. But I've used a 
> bit different approach. I tried to add 64-bit phys addr support to 
> pci_32.c. The patch seems to work on Sequoia. Actually, I thought 
> merging was too risky at this point and might cause more problems 
> breaking both 64 and 32-bit pci support.

In order not to break, we just need same functionality and it is not that complex.
I began with the upper approach as well, but that seems more like a workaround, than a step forward.

-- 
Sincerely, Vitaly